* [gentoo-commits] repo/gentoo:master commit in: net-p2p/litecoind/, net-p2p/litecoind/files/
@ 2021-06-18 11:26 Sam James
0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2021-06-18 11:26 UTC (permalink / raw
To: gentoo-commits
commit: 2d4a9bbe950fbbdc14cf7b19d86dbbd200b0bed5
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 18 10:04:48 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 18 11:26:30 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d4a9bbe
net-p2p/litecoind: add 0.18.1
Closes: https://bugs.gentoo.org/607842
Bug: https://bugs.gentoo.org/672326
Bug: https://bugs.gentoo.org/768768
Bug: https://bugs.gentoo.org/788844
Signed-off-by: David Seifert <soap <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/21302
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-p2p/litecoind/Manifest | 1 +
.../files/litecoind-0.18.1-system-leveldb.patch | 37 +++++++++
net-p2p/litecoind/litecoind-0.18.1.ebuild | 87 ++++++++++++++++++++++
3 files changed, 125 insertions(+)
diff --git a/net-p2p/litecoind/Manifest b/net-p2p/litecoind/Manifest
index a9ff48ef9e7..d318bafd732 100644
--- a/net-p2p/litecoind/Manifest
+++ b/net-p2p/litecoind/Manifest
@@ -1 +1,2 @@
DIST litecoin-0.10.4.0.tar.gz 4730189 BLAKE2B 3b3e4db10ca7ebb048853a424438d888a239cc736b1b2aa29dd0b6571daec5a64f95aee98a82991cd3e69b26965151f298655ca09745f103ebde1d15216ae2f8 SHA512 ae17e754d188efb1b51a376a52fe03e43b58c5059673b7dd4ecbf4f48574290b84011525fef2e10893f53e4da3d6ad9b5577001bb40aef7080d4c2479f4714a9
+DIST litecoin-0.18.1.tar.gz 5122629 BLAKE2B c6cb220bb893518eaf04e1b4b825dc0318103c955da6f262ef13fc9d925b7bae1bb0407a701a04a17bb3040c613b666e6de3331d443046e9d83aec4ed559e02e SHA512 59605cc0c4fd67c128bad0e2cabcc7b6bda1ebf5b23b7fcaee9fa69e86a4349598feba413f0ad42aef9338a42b0d6f8c04306634bd543856a2e7a203aa717f40
diff --git a/net-p2p/litecoind/files/litecoind-0.18.1-system-leveldb.patch b/net-p2p/litecoind/files/litecoind-0.18.1-system-leveldb.patch
new file mode 100644
index 00000000000..d00748a584f
--- /dev/null
+++ b/net-p2p/litecoind/files/litecoind-0.18.1-system-leveldb.patch
@@ -0,0 +1,37 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -894,10 +894,22 @@
+ [AC_MSG_ERROR([Cannot set default symbol visibility. Use --disable-reduce-exports.])])
+ fi
+
++dnl Check for leveldb, only if explicitly requested
+ LEVELDB_CPPFLAGS=
+ LIBLEVELDB=
+ LIBMEMENV=
+-AM_CONDITIONAL([EMBEDDED_LEVELDB],[true])
++AC_ARG_WITH([system-leveldb],
++ [AS_HELP_STRING([--with-system-leveldb],
++ [Build with system LevelDB (default is no; DANGEROUS; NOT SUPPORTED)])],
++ [system_leveldb=$withval],
++ [system_leveldb=no]
++)
++if test x$system_leveldb != xno; then
++ LEVELDB_CPPFLAGS=
++ LIBLEVELDB=-lleveldb
++ LIBMEMENV=-lmemenv
++fi
++AM_CONDITIONAL([EMBEDDED_LEVELDB],[test x$system_leveldb = xno])
+ AC_SUBST(LEVELDB_CPPFLAGS)
+ AC_SUBST(LIBLEVELDB)
+ AC_SUBST(LIBMEMENV)
+--- a/src/dbwrapper.cpp
++++ b/src/dbwrapper.cpp
+@@ -10,7 +10,7 @@
+ #include <leveldb/cache.h>
+ #include <leveldb/env.h>
+ #include <leveldb/filter_policy.h>
+-#include <memenv.h>
++#include <leveldb/helpers/memenv.h>
+ #include <stdint.h>
+ #include <algorithm>
+
diff --git a/net-p2p/litecoind/litecoind-0.18.1.ebuild b/net-p2p/litecoind/litecoind-0.18.1.ebuild
new file mode 100644
index 00000000000..03ac46dc52d
--- /dev/null
+++ b/net-p2p/litecoind/litecoind-0.18.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DB_VER="4.8"
+
+inherit autotools db-use flag-o-matic systemd
+
+MY_PV="${PV/_/-}"
+MY_PN="litecoin"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="The offical daemon to run your own (full) Litecoin node"
+HOMEPAGE="https://litecoin.org/"
+SRC_URI="https://github.com/${MY_PN}-project/${MY_PN}/archive/v${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT ISC GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="cpu_flags_x86_sse2 upnp +wallet"
+
+RDEPEND="
+ acct-group/litecoin
+ acct-user/litecoin
+ dev-libs/boost:=[threads(+)]
+ dev-libs/leveldb:=
+ dev-libs/libevent:=[threads(+)]
+ dev-libs/openssl:=[-bindist(-)]
+ sys-libs/db:$(db_ver_to_slot ${DB_VER})[cxx]
+ upnp? ( net-libs/miniupnpc:= )"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-system-leveldb.patch )
+
+src_prepare() {
+ default
+ rm -r src/leveldb || die
+ eautoreconf
+}
+
+src_configure() {
+ # To avoid executable GNU stack.
+ append-ldflags -Wl,-z,noexecstack
+
+ local myeconfargs=(
+ $(use_enable wallet)
+ $(use_with upnp miniupnpc)
+ $(use_enable upnp upnp-default)
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ --disable-ccache
+ --disable-static
+ # tests are broken and segfault
+ --disable-tests
+ --with-system-leveldb
+ --without-libs
+ --with-daemon
+ --without-gui
+ --without-qrencode
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ insinto /etc/litecoin
+ doins "${FILESDIR}"/litecoin.conf
+ fowners litecoin:litecoin /etc/litecoin/litecoin.conf
+ fperms 600 /etc/litecoin/litecoin.conf
+
+ newconfd "${FILESDIR}"/litecoin.confd ${PN}
+ newinitd "${FILESDIR}"/litecoin.initd-r1 ${PN}
+ systemd_dounit "${FILESDIR}"/litecoin.service
+
+ keepdir /var/lib/litecoin/.litecoin
+ fperms 700 /var/lib/litecoin
+ fowners litecoin:litecoin /var/lib/litecoin/
+ fowners litecoin:litecoin /var/lib/litecoin/.litecoin
+ dosym /etc/litecoin/litecoin.conf /var/lib/litecoin/.litecoin/litecoin.conf
+
+ dodoc doc/README.md doc/release-notes.md
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/litecoind.logrotate litecoind
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-p2p/litecoind/, net-p2p/litecoind/files/
@ 2023-01-23 2:40 Sam James
0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2023-01-23 2:40 UTC (permalink / raw
To: gentoo-commits
commit: a60d56a96360ed046267f3919467d0527ba9da99
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 23 02:24:15 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jan 23 02:32:56 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a60d56a9
net-p2p/litecoind: fix build w/ gcc 12
Closes: https://bugs.gentoo.org/888605
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../litecoind/files/litecoind-0.18.1-gcc12.patch | 22 ++++++++++++++++++++++
net-p2p/litecoind/litecoind-0.18.1-r1.ebuild | 7 +++++--
2 files changed, 27 insertions(+), 2 deletions(-)
diff --git a/net-p2p/litecoind/files/litecoind-0.18.1-gcc12.patch b/net-p2p/litecoind/files/litecoind-0.18.1-gcc12.patch
new file mode 100644
index 000000000000..12bc5c7b2b1d
--- /dev/null
+++ b/net-p2p/litecoind/files/litecoind-0.18.1-gcc12.patch
@@ -0,0 +1,22 @@
+https://bugs.gentoo.org/888605
+--- a/src/bench/block_assemble.cpp
++++ b/src/bench/block_assemble.cpp
+@@ -22,6 +22,7 @@
+
+ #include <list>
+ #include <vector>
++#include <array>
+
+ static std::shared_ptr<CBlock> PrepareBlock(const CScript& coinbase_scriptPubKey)
+ {
+--- a/src/net_processing.cpp
++++ b/src/net_processing.cpp
+@@ -29,6 +29,7 @@
+ #include <util/system.h>
+ #include <util/moneystr.h>
+ #include <util/strencodings.h>
++#include <array>
+
+ #include <memory>
+
+
diff --git a/net-p2p/litecoind/litecoind-0.18.1-r1.ebuild b/net-p2p/litecoind/litecoind-0.18.1-r1.ebuild
index 7dd0e1ddb9f3..23dcc99ddf88 100644
--- a/net-p2p/litecoind/litecoind-0.18.1-r1.ebuild
+++ b/net-p2p/litecoind/litecoind-0.18.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -33,7 +33,10 @@ RDEPEND="
upnp? ( net-libs/miniupnpc:= )"
DEPEND="${RDEPEND}"
-PATCHES=( "${FILESDIR}"/${P}-system-leveldb.patch )
+PATCHES=(
+ "${FILESDIR}"/${P}-system-leveldb.patch
+ "${FILESDIR}"/${P}-gcc12.patch
+)
src_prepare() {
default
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-p2p/litecoind/, net-p2p/litecoind/files/
@ 2017-06-02 7:04 David Seifert
0 siblings, 0 replies; 3+ messages in thread
From: David Seifert @ 2017-06-02 7:04 UTC (permalink / raw
To: gentoo-commits
commit: ff8fa3b25d4610c3054fb8a8aad9d2fe7ac6e945
Author: Peter Levine <plevine457 <AT> gmail <DOT> com>
AuthorDate: Sun May 28 00:20:00 2017 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Jun 2 06:57:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff8fa3b2
net-p2p/litecoind: Fix building with GCC-6
Bug: https://bugs.gentoo.org/show_bug.cgi?id=594686
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4782
.../litecoind/files/litecoind-0.10.4.0-gcc6.patch | 47 ++++++++++++++++++++++
net-p2p/litecoind/litecoind-0.10.4.0.ebuild | 3 +-
2 files changed, 49 insertions(+), 1 deletion(-)
diff --git a/net-p2p/litecoind/files/litecoind-0.10.4.0-gcc6.patch b/net-p2p/litecoind/files/litecoind-0.10.4.0-gcc6.patch
new file mode 100644
index 00000000000..5c7e44da3d3
--- /dev/null
+++ b/net-p2p/litecoind/files/litecoind-0.10.4.0-gcc6.patch
@@ -0,0 +1,47 @@
+From 40ce41c006787dc4a2e3b17f7abbaf8ff56c45e7 Mon Sep 17 00:00:00 2001
+From: Adrian Gallagher <thrasher@addictionsoftware.com>
+Date: Tue, 25 Oct 2016 17:48:19 -0700
+Subject: [PATCH] Litecoin: Fix build boost compilation error with C++11
+
+---
+ src/chainparams.cpp | 20 ++++++++++----------
+ 1 file changed, 10 insertions(+), 10 deletions(-)
+
+diff --git a/src/chainparams.cpp b/src/chainparams.cpp
+index ba8e33d1c14..7f99e45b7ad 100644
+--- a/src/chainparams.cpp
++++ b/src/chainparams.cpp
+@@ -163,11 +163,11 @@ class CMainParams : public CChainParams {
+ vSeeds.push_back(CDNSSeedData("weminemnc.com", "dnsseed.weminemnc.com"));
+ vSeeds.push_back(CDNSSeedData("loshan.co.uk", "seed-a.litecoin.loshan.co.uk"));
+
+- base58Prefixes[PUBKEY_ADDRESS] = list_of(48);
+- base58Prefixes[SCRIPT_ADDRESS] = list_of(5);
+- base58Prefixes[SECRET_KEY] = list_of(176);
+- base58Prefixes[EXT_PUBLIC_KEY] = list_of(0x04)(0x88)(0xB2)(0x1E);
+- base58Prefixes[EXT_SECRET_KEY] = list_of(0x04)(0x88)(0xAD)(0xE4);
++ base58Prefixes[PUBKEY_ADDRESS] = std::vector<unsigned char>(1,48);
++ base58Prefixes[SCRIPT_ADDRESS] = std::vector<unsigned char>(1,5);
++ base58Prefixes[SECRET_KEY] = std::vector<unsigned char>(1,176);
++ base58Prefixes[EXT_PUBLIC_KEY] = boost::assign::list_of(0x04)(0x88)(0xB2)(0x1E).convert_to_container<std::vector<unsigned char> >();
++ base58Prefixes[EXT_SECRET_KEY] = boost::assign::list_of(0x04)(0x88)(0xAD)(0xE4).convert_to_container<std::vector<unsigned char> >();
+
+ convertSeed6(vFixedSeeds, pnSeed6_main, ARRAYLEN(pnSeed6_main));
+
+@@ -225,11 +225,11 @@ class CTestNetParams : public CMainParams {
+ vSeeds.push_back(CDNSSeedData("xurious.com", "testnet-seed.ltc.xurious.com"));
+ vSeeds.push_back(CDNSSeedData("wemine-testnet.com", "dnsseed.wemine-testnet.com"));
+
+- base58Prefixes[PUBKEY_ADDRESS] = list_of(111);
+- base58Prefixes[SCRIPT_ADDRESS] = list_of(196);
+- base58Prefixes[SECRET_KEY] = list_of(239);
+- base58Prefixes[EXT_PUBLIC_KEY] = list_of(0x04)(0x35)(0x87)(0xCF);
+- base58Prefixes[EXT_SECRET_KEY] = list_of(0x04)(0x35)(0x83)(0x94);
++ base58Prefixes[PUBKEY_ADDRESS] = std::vector<unsigned char>(1,111);
++ base58Prefixes[SCRIPT_ADDRESS] = std::vector<unsigned char>(1,196);
++ base58Prefixes[SECRET_KEY] = std::vector<unsigned char>(1,239);
++ base58Prefixes[EXT_PUBLIC_KEY] = boost::assign::list_of(0x04)(0x35)(0x87)(0xCF).convert_to_container<std::vector<unsigned char> >();
++ base58Prefixes[EXT_SECRET_KEY] = boost::assign::list_of(0x04)(0x35)(0x83)(0x94).convert_to_container<std::vector<unsigned char> >();
+
+ convertSeed6(vFixedSeeds, pnSeed6_test, ARRAYLEN(pnSeed6_test));
+
diff --git a/net-p2p/litecoind/litecoind-0.10.4.0.ebuild b/net-p2p/litecoind/litecoind-0.10.4.0.ebuild
index b2c9ac6a5f9..f4502b3b319 100644
--- a/net-p2p/litecoind/litecoind-0.10.4.0.ebuild
+++ b/net-p2p/litecoind/litecoind-0.10.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -45,6 +45,7 @@ src_prepare() {
epatch "${FILESDIR}"/0.9.0-sys_leveldb.patch
epatch "${FILESDIR}"/litecoind-0.10.2.2-memenv_h.patch
epatch "${FILESDIR}"/litecoind-0.10.2.2-fix-gnustack.patch
+ epatch "${FILESDIR}"/${P}-gcc6.patch
eautoreconf
rm -r src/leveldb
}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2023-01-23 2:40 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-06-18 11:26 [gentoo-commits] repo/gentoo:master commit in: net-p2p/litecoind/, net-p2p/litecoind/files/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2023-01-23 2:40 Sam James
2017-06-02 7:04 David Seifert
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox